HP-UX Apache Web Server Suite Tomcat sérülékenységei

CH azonosító

CH-2590

Felfedezés dátuma

2009.10.21.

Súlyosság

Közepes

Érintett rendszerek

HP-UX
Hewlett Packard (HP)

Érintett verziók

Hewlett Packard (HP) HP-UX B.11.11, B.11.23, B.11.31

Összefoglaló

A HP ismertetett több HP-UX sérülékenységet, melyeket rosszindulatú felhasználók
kiaknázhatnak érzékeny információk felfedésére vagy bizonyos adatok megváltoztatására,
míg a támadók szolgáltatás megtagadást (DoS) okozhatnak vagy titkos információkat
tehetnek közzé.

Leírás

A HP ismertetett több HP-UX sérülékenységet, melyeket rosszindulatú felhasználók
kiaknázhatnak érzékeny információk felfedésére vagy bizonyos adatok megváltoztatására,
míg a támadók szolgáltatás megtagadást (DoS) okozhatnak vagy titkos információkat
tehetnek közzé.

Ezeket a problémákat a Tomcat hibái okozzák.

  1. A Java AJP csatlakozótól kapott hibás HTTP fejlécek feldolgozásakor hiba lép fel. Ez kihasználható az AJP csatlakozás lezárására és a csatlakozó ideiglenes blokkolására, ha az eleme a mod_jk terhelés kiegyenlítő workernek.
  2. Egyes hitelesítő osztályok hibáját kihasználva lehetőség van arra, hogy brute force (találgatás) módszerrel megállapítsák a meglévő felhasználóneveket speciálisan elkészített, URL-kódolt jelszavakkal.

    A hiba sikeres kihasználásához szükséges, hogy az űrlap alapú hitelesítéshez (“j_security_check”) a “MemoryRealm”, “DataSourceRealm” vagy “JDBCRealm” tartományok valamelyikét használják.

  3. Egy webalkalmazás lecserélheti a Tomcat által a web.xml és tld fájlok feldolgozásához használt XML elemzőt. Bizonyos esetekben ez lehetővé teszi, hogy egy rosszindulatú webalkalmazás a Tomcat példány más webalkalmazásainak web.xml és tld fájljait olvassa vagy módosítsa.
  4. Egy “RequestDispatcher” használatakor a szerver normalizálja a cél elérési útvonalat mielőtt eltávolítaná a lekérdező karaktersorozatot. Ezt kihasználva pl. útvonal bejárással korlátozott hozzáférésű fájlokhoz is hozzá lehet férni.

A sérülékenységeket a HP-UX B.11.11, B.11.23 és B.11.31 verziókban jelentették, ha
azok a Tomcat-alapú Servlet Engine 5.5.27.02 vagy korábbi verzióit futtatják.

Megoldás

Frissítse a Tomcat-alapú Servlet Engine-t az 5.5.27.03. vagy későbbi verzióra!